<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  if(isset($_SESSION["mailcli"])){ //si les sessions sont pleines
  
    include("../../mon_solde.php");
    
    if (!isset($_POST['montant']) or $_POST['montant'] == "") { //si le champ n'est pas rempli alors
      $montant = $ValeurTitreMinimum;  // Valeur titre minimum assigné automatiquement
    } else {
      	$montant = str_replace(chr(47), "", $_POST['montant']); // Enlever la barre oblique
     	for($c=0;$c<=45;$c++){	$montant = str_replace(chr($c), "", $montant);	} // Suppression de caractères ASCII
		for($c=58;$c<=127;$c++){	$montant = str_replace(chr($c), "", $montant);	} // Suppression de caractères ASCII
		$montant = substr($montant,0,20); // Retourner uniquement le debut
		//si plusieurs points : supprimer ( a faire )
    }
    
    if (!isset($_POST['courriel'])){
      $_POST['courriel'] = "";
    }else{
    	$_POST['courriel'] = substr(addslashes(htmlentities(strip_tags($_POST['courriel']))),0,40);
	}
    
    if($_POST['courriel'] == $_SESSION['mailcli']) {//si le courriel recherché est le sien
      echo "<p class='erreur'>Vous ne pouvez pas acheter des titres que vous possédez déjà.</p>";
    }
    
    if (!isset($_POST['ISIN'])){
      $ISIN = "";
    }else{
    	$ISIN_2 = strtoupper(substr($_POST['ISIN'],0,2));
    	for($a=0;$a<=64;$a++){	$ISIN_2 = str_replace(chr($a), "", $ISIN_2);	} // Suppression de caractères ASCII
    	for($a=91;$a<=127;$a++){	$ISIN_2 = str_replace(chr($a), "", $ISIN_2);	} // Suppression de caractères ASCII
    	$ISIN_10 = substr($_POST['ISIN'],2,strlen($_POST['ISIN'])-1);
    	for($a=0;$a<=47;$a++){	$ISIN_10 = str_replace(chr($a), "", $ISIN_10);	} // Suppression de caractères ASCII
    	for($a=58;$a<=127;$a++){	$ISIN_10 = str_replace(chr($a), "", $ISIN_10);	} // Suppression de caractères ASCII
    	$ISIN = $ISIN_2.substr($ISIN_10,0,10); 
	}
    
    echo '<p>
    <form action="titre_acheter.php" method="post" onsubmit="return titre_verification();">
    
    <div><h4 class="titre">Acheter un titre</h4></div>
    
    <table>
      <tr>
        <td>ISIN : </td>
        <td><input type="text" name="ISIN" value="'.$ISIN.'" id="ISIN" size="15" /></td>
      </tr>
      <tr>
        <td>Prix du titre : </td>
        <td>
          <label><select name="signe">';
          
            if(isset($_POST['signe'])){

              if($_POST['signe'] == ">="){
                echo '<option value=">=" selected="selected">au moins</option>
                <option value="=">égal à</option>
                <option value="<=">au plus</option>';
              }

              if($_POST['signe'] == "="){
                echo '<option value=">=">au moins</option>
                <option value="=" selected="selected">égal à</option>
                <option value="<=">au plus</option>';
              }
              
              if($_POST['signe'] == "<="){
                echo '<option value=">=">au moins</option>
                <option value="=">égal à</option>
                <option value="<=" selected="selected">au plus</option>';
              }
              
            }else{
              $_POST['signe'] = ">=";
              echo '<option value=">=" selected="selected">au moins</option>
              <option value="=">égal à</option>
              <option value="<=">au plus</option>';
            }
            
          echo '</select></label>
          
          <input type="text" name="montant" value="'.$montant.'" id="valeurtitre" size="15" /> '.$_SESSION["devise"].'s
        </td>
      </tr>
    
      <tr>
        <td>Courriel : </td> <td><input type="text" name="courriel"  '; 
        if(isset($_POST['courriel'])) { echo 'value="'.$_POST['courriel'].'" '; } echo '
        size="40" /></td>
      </tr>
    
      <tr>
        <td></td><td><input type="submit" value="Appliquer le filtre" /></td>
      </tr>
    
    </table>
    
    </form>
    </p>';
    
    //Focus sur le montant en javascript
    echo '<script type="text/javascript">document.getElementById("ISIN").focus();</script>';
   	
   	include('titre_acheter_interface2.php');
   	
  }

?>
